org.apache.naming.factory

## Class LookupFactory

- java.lang.Object
- - org.apache.naming.factory.LookupFactory

- All Implemented Interfaces:
    ObjectFactory

      public class LookupFactory
      extends Object
      implements ObjectFactory

  Object factory for lookups.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LookupFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getObjectInstance(Object obj, Name name, Context nameCtx, Hashtable<?,?> environment)` Create a new Resource env instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LookupFactory

          public LookupFactory()

  - ### Method Detail

    - #### getObjectInstance

          public Object getObjectInstance(Object obj,
                                          Name name,
                                          Context nameCtx,
                                          Hashtable<?,?> environment)
                                   throws Exception

      Create a new Resource env instance.
      Specified by:
        `getObjectInstance` in interface `ObjectFactory`
      Parameters:
        `obj` - The reference object describing the DataSource
      Throws:
        `Exception`

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.